%define _smp_ncpus_max 1
%define uname	LogbookKonni-1.2
%define piname	logbookkonni_pi
%define tarversion  1.4008


Name:		opencpn-logbookkonni-plugin
Summary:	Logbook plugin for OpenCPN
Version:	1.4.008
%define subrel 2
Release:	%mkrel 5
License:	GPLv3+
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/logbookkonni.html
Source0:	https://github.com/delatlabel/%{uname}/archive/v%{version}/%{uname}-%{tarversion}.tar.gz
Source1:	README_Layouts.txt

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel < 3.1
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	zip

Requires:	opencpn
Provides:	LogbookKonni = %{version}
Provides:	opencpn-logbook-plugin = %{version}-%{release}
Conflicts:	opencpn < 4.0.0-1

%description
The Konni's logbook plugin is fully integrated with the graphical interface
of OpenCPN.

NB: Once the logbook is activated, the LogbookKonni layouts 
must be installed for each user.

See /usr/share/doc/opencpn-logbookkonni-plugin/README_Layouts.txt for
help installing the layouts.

%prep
%autosetup -p1 -n %{uname}-%{tarversion}
zip -r Layouts.zip Layouts/

%build
%cmake

%cmake_build

%install
%cmake_install

cp %{SOURCE1} .

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%find_lang opencpn-%{piname}

mkdir -p %{buildroot}/%{_datadir}/opencpn/plugins/%{piname}/data
cp Layouts.zip %{buildroot}/%{_datadir}/opencpn/plugins/%{piname}/data/

%files -f opencpn-%{piname}.lang
%doc README_Layouts.txt
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/


%changelog
* Mon Aug 02 2021 philippedidier <philippedidier> 1.4.008-5.2.mga8
+ Revision: 1738633
- build with wxgtku3.0 strictly needed instead of 3.1
- modify Source0 URL

* Fri Jan 01 2021 wally <wally> 1.4.008-4.mga8
+ Revision: 1667713
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 1.4.008-3.mga8
+ Revision: 1614354
- rebuild for new wxgtk 3.1.4

* Tue Feb 18 2020 daviddavid <daviddavid> 1.4.008-2.mga8
+ Revision: 1539516
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Nov 11 2019 barjac <barjac> 1.4.008-1.mga8
+ Revision: 1459318
- new version 1.4.008

* Sat Jul 13 2019 wally <wally> 1.4.006-2.mga8
+ Revision: 1421018
- rebuild with gtk3 enabled wxgtk 3.1.2

* Wed Mar 27 2019 barjac <barjac> 1.4.006-1.mga7
+ Revision: 1380630
- new version 1.4.006

* Fri Jan 18 2019 barjac <barjac> 1.3.006-1.mga7
+ Revision: 1358003
- new version 1.3.006

* Sun Sep 23 2018 umeabot <umeabot> 1.3.003-3.mga7
+ Revision: 1299996
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 1.3.003-2.mga7
+ Revision: 1239509
- fix build on aarch64

* Wed Apr 11 2018 barjac <barjac> 1.3.003-1.mga7
+ Revision: 1217680
- new version 1.3.003

* Sat Jun 03 2017 akien <akien> 1.2.024-3.mga6
+ Revision: 1106112
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 1.2.024-2.mga6
+ Revision: 1019832
- rebuild for wxgtk3.0 built with GTK2

* Tue Mar 15 2016 barjac <barjac> 1.2.024-1.mga6
+ Revision: 991012
- new version 1.2.024

* Sun Feb 21 2016 barjac <barjac> 1.2.023-1.mga6
+ Revision: 975908
- new version 1.2.023

* Tue Feb 16 2016 barjac <barjac> 1.2.018-2.mga6
+ Revision: 962308
- changed buildrequire wxgtku3.0

* Tue Dec 08 2015 barjac <barjac> 1.2.018-1.mga6
+ Revision: 908776
- new package opencpn-logbookkonni-plugin

